CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2022 开发者帮助

ToleranceHeightScale 属性 (ActiveX)

2024-5-18 18:46| 发布者: admin| 查看: 135| 评论: 0|原作者: admin|来自: AutoCAD

ToleranceHeightScale 属性 (ActiveX)

指定公差值的文本高度相对于尺寸文本高度的比例因子。

支持的平台:仅限 Windows

签名

VBA:

object.ToleranceHeightScale
对象

类型:Dim3PointAngularDimAlignedDimAngularDimArcLengthDimDiametricDimensionDimOrdinateDimRadial、DimRadialLargeDimRotated

此属性应用于的对象。

属性值

只读:

类型:

公差值的比例因子。

言论

此属性的初始值为 1.0000。

仅当该属性设置为除 以外的任何值时,此属性才可用。ToleranceDisplayacTolNone

当 DIMTOL 处于打开状态且 DIMTM 不等于 DIMTP 时,或者当 DIMLIM 处于打开状态时,将此属性用于正负容差字符串。

注意:此属性将覆盖给定维度的 DIMTFAC 系统变量的值。

例子

VBA:

Sub Example_ToleranceHeightScale()
    ' This example creates an aligned dimension in model space and
    ' turns on the tolerance display for the new dimension.  The height
    ' of the tolerance text can then be adjusted by the user

    Dim dimObj As AcadDimAligned
    Dim newText As AcadTextStyle
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim CurrentScale As Integer
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ' Turn on the tolerance display
    dimObj.ToleranceDisplay = acTolSymmetrical
    
    ThisDrawing.Application.ZoomAll
    
Increase:
    ' Read and display the current tolerance height scale for this dimension
    If MsgBox("The tolerance height scale is currently set to: " & dimObj.ToleranceHeightScale & vbCrLf & _
              "Press OK to increase, or cancel to finish", vbOKCancel) = vbCancel Then
        
        Exit Sub
    End If
    
    ' Increase the tolerance height scale for this dimension
    dimObj.ToleranceHeightScale = dimObj.ToleranceHeightScale + 1
    
    ThisDrawing.Regen acAllViewports
    
    GoTo Increase
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_ToleranceHeightScale()
    ;; This example creates an aligned dimension in model space and
    ;; turns on the tolerance display for the new dimension.  The height
    ;; of the tolerance text can then be adjusted by the user
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    ;; Turn on the tolerance display
    (vla-put-ToleranceDisplay dimObj acTolSymmetrical)
    
    (vla-ZoomAll acadObj)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display the current tolerance height scale for this dimension
    (alert (strcat "The tolerance height scale is currently set to: " (rtos (vla-get-ToleranceHeightScale dimObj) 2)))
    
    ;; Increase the tolerance height scale for this dimension
    (vla-put-ToleranceHeightScale dimObj (1+ (vla-get-ToleranceHeightScale dimObj)))
    
    (vla-Regen doc acAllViewports)
    
    ;; Read and display the current tolerance height scale for this dimension
    (alert (strcat "The tolerance height scale is now set to: " (rtos (vla-get-ToleranceHeightScale dimObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-14 06:55

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部